﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Microsoft.Practices.Prism.Modularity;
using Microsoft.Practices.Prism.Regions;

namespace RibbonModule
{
    public class RibbonModule : IModule
    {
        #region IModule Members

        public void Initialize()
        {
            RegionManager.RegisterViewWithRegion("RibbonRegion", typeof(RibbonControl));
        }

        #endregion

        public RibbonModule(IRegionManager _regionManager)
        {
            RegionManager = _regionManager;
        }

        public IRegionManager RegionManager { get; set; }

        
    }
}
